WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: Embed Chessboard] How to avoid Warning? (5 posts)

  1. thechessdad
    Member
    Posted 4 years ago #

    Hello,

    I installed this Plugin but got a warning once I activated it:

    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home6/thechess/public_html/wp-content/plugins/embed-chessboard/embedchessboard.php:590) in /home6/thechess/public_html/wp-content/plugins/faq-builder/config.php on line 2

    Could you please help me fixing the warning?

    Thanks.

    TheChessDad
    http://www.thechessdad.com

    http://wordpress.org/extend/plugins/embed-chessboard/

  2. pgn4web
    Member
    Posted 4 years ago #

    Hello, I'm the author of Embed Chessboard.

    I dont have much experience with wordpress plugins, so be patient with me.

    First question is: does the plugin actually work (regardless of the warning message)? I'll check, but I might have reduce the amount of warnings displayed by my test site.

    Second question: how did you install the plugin? I just deleted and reinstalled the plugin from my test site, using the tools in the "manage
    plugins" section of the worpress admin section of my site (so no manual download and ftp, everything done from the admin panel). If you did something different (like manual download and ftp) you might want to try this.

    Last suggestion (for now): the "wordpress" part of the plugin has been copied very much from another plugin called "Embed Iframe". First thing to understand what's going on and what's causing the error/conflict would be to follow the instruction of the wordpress.org section of this page to use "Emebd Iframe" and then use it to display chess games.
    I would be interested to know if "Embed Iframe" works on your site or if it shows the same warning (good thing is that if the Embed Iframe method works you could actually ditch Embed Chessboard and add your chess games using Embed Iframe, but I should not advertise this too much).

    Good luck and thanks for trying the Embed Chessboard plugin!

  3. thechessdad
    Member
    Posted 4 years ago #

    Thanks for the quick reply>

    1) I do not know, I did not check, hours ago, I could not log into my blog to check if the plugin works or not, as I mentioned in another post, I had to delete the plugin files using FTP. My site is OK now, but I did not check the plugin.
    2) I used the manual download and ftp method, I just tried the method you mentioned, installation was fine until the final step, once I activated the plugin, the same warning resulted. So both of the methods do not work.
    3) I installed "Embed Ifame", no warning, nor error, but I can not show an external website. For example, I used [iframe http://www.google.com 400 500], my own website was in the frame, instead of the google site. So "Embed Iframe" does not work on my site using WordPress 2.9.1.

    Thanks.

  4. pgn4web
    Member
    Posted 4 years ago #

    Thanks for the feedback.

    I was able to replicate the warning on a fresh install of wordpress 2.9.1

    The current version 1.02 of the Embed Chessboard plugin does not get the warning.
    Please try version 1.02 and let me know.

    Thanks.

  5. thechessdad
    Member
    Posted 4 years ago #

    Yes, version 1.02 works for wordpress 2.9.1.

    Thanks.

Topic Closed

This topic has been closed to new replies.

About this Topic